# Generated from fault_tolerant_redis-activesupport-4.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fault_tolerant_redis-activesupport

Name: rubygem-%{gem_name}
Version: 4.0.6
Release: 1%{?dist}
Summary: Fault tolerant redis store for ActiveSupport
License: MIT
URL: https://github.com/globalwebindex/redis-activesupport
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(redis-store-testing)
BuildArch: noarch

%description
Fault tolerant redis store for ActiveSupport.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.env
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%{gem_instdir}/wercker.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fault_tolerant_redis-activesupport.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 4.0.6-1
- Initial package
